Retrieves all Place Groups for a particular place by placeId
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| placeId | The place identifier for which group values are being retrieved | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
PlaceGroupResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| autoGroup | Indicates if this place group is an autogroup | boolean | ||||||||||||
| lastUpdated | The last time a member was inserted, updated, or deleted from the group | string (date-time) | ||||||||||||
| placeGroupCategory | PlaceGroupCategoryChild | |||||||||||||
|
PlaceGroupCategoryChild properties
|
||||||||||||||
| placeGroupCode | The place group code | string | ||||||||||||
| placeGroupId | The place group identifier | integer (int32) | ||||||||||||
| placeGroupInfo | The place group info | string | ||||||||||||
| userDefinedAutoGroup | Indicates if this place group is an user defined auto group | boolean | ||||||||||||
Example Response
[
{ "autoGroup": false, "lastUpdated": "2026-03-30", "placeGroupCategory": { "placeGroupCategoryCode": "string", "placeGroupCategoryId": 1, "placeGroupCategoryInfo": "string"
}, "placeGroupCode": "string", "placeGroupId": 1, "placeGroupInfo": "string", "userDefinedAutoGroup": false
}
]